#
# WiKicker
#
#  WiKicker.pm
#
#
# Copyright (C) 2003,2004,2005 WATANABE Yoshimasa <naney@naney.org>
#
# This file is part of the WiKicker.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 2 of the License, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc., 59
# Temple Place, Suite 330, Boston, MA 02111-1307 USA
#
#
# $Id: WiKicker.pm,v 1.26 2005/01/09 10:28:39 naney Exp $
#
#

package WiKicker;

use 5.005;
use strict;

use vars qw($VERSION);

$VERSION = '0.24';

#IFDEBUG: use Log::Log4perl;
#IFDEBUG:
#IFDEBUG: use Devel::Cycle;
#IFDEBUG: sub cycle_check {
#IFDEBUG:   my $reference = shift;
#IFDEBUG:   my $old = select(STDERR);
#IFDEBUG:   warn "cycle check\n";
#IFDEBUG:   Devel::Cycle::find_cycle($reference);
#IFDEBUG:   select($old);
#IFDEBUG: }
#IFDEBUG:
#IFDEBUG: use Devel::Size;
#IFDEBUG:
#IFDEBUG: sub total_size {
#IFDEBUG:   my ($text, $object) = @_;
#IFDEBUG:   my $size = Devel::Size::total_size($object);
#IFDEBUG:   Log::Log4perl->get_logger->debug("$text: $size bytes");
#IFDEBUG: }

1;
__END__
=head1 NAME

WiKicker - WiKicker WikiEngine Library

=head1 SYNOPSIS

  use WiKicker::CGI::Controller;

  my $app = new WiKicker::CGI::Controller;
  $app->run;

=head1 DESCRIPTION

WiKicker WikiEngine.

=head1 AUTHOR

WATANABE Yoshimasa E<lt>naney@naney.orgE<gt>

=cut
