#
# WiKicker
#
#  RWRN.pm
#
#
# Copyright (C) 2003 WATANABE Yoshimasa <naney@naney.org>
#
# This file is part of the WiKicker.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 2 of the License, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc., 59
# Temple Place, Suite 330, Boston, MA 02111-1307 USA
#
#
# $Id: RWRN.pm,v 1.4 2003/11/08 04:34:30 naney Exp $
#
#

package WiKicker::WRI::RWRN;

use strict;
use WiKicker::WRI::QWRN;
use WiKicker::WRI::URN;

use vars qw(@ISA);
@ISA = qw(WiKicker::WRI::QWRN);

# only interwiki, ...
sub nid {
  my $self = shift;

  $self->rest =~ /^([^:]+):/;
  return $1;
}

# only interwiki, ...
sub nss {
  my $self = shift;

  $self->rest =~ /^[^:]+:(.*)$/;
  return $1;
}

sub to_html {
  my ($self, $content, $env) = @_;

  return $self->_make_url_link_html($content, $env);
}

1;
