# NOTE: Derived from blib/lib/WiKicker/CGI/Configuration.pm.
# Changes made here will be lost when autosplit is run again.
# See AutoSplit.pm.
package WiKicker::CGI::Configuration;

#line 260 "blib/lib/WiKicker/CGI/Configuration.pm (autosplit into blib/lib/auto/WiKicker/CGI/Configuration/is_busy_to_search.al)"
sub is_busy_to_search {
  my ($self, $load_average) = @_;

  croak 'no load average object' unless defined $load_average;

  my $limit = $self->properties->get('param.search.loadlimit') || '';

  unless ($limit) {
    return 0;
  }

  my $load_average_1 = $load_average->load_average_1;

  if ($load_average_1 < 0) {
    return 0;
  }
  if ($load_average_1 > $limit) {
    return 1;
  }

  return 0;
}

# end of WiKicker::CGI::Configuration::is_busy_to_search
1;
