# NOTE: Derived from blib/lib/WiKicker/Time.pm.
# Changes made here will be lost when autosplit is run again.
# See AutoSplit.pm.
package WiKicker::Time;

#line 404 "blib/lib/WiKicker/Time.pm (autosplit into blib/lib/auto/WiKicker/Time/japanese_date_only_str.al)"
sub japanese_date_only_str {
  my ($year, $month, $day, $zone) = @_;

  my $result = '';
  unless (_good_mday($year, $month, $day)) {
    return "$year-$month-$day";
  }
  eval {
    my $wday = _wday($year, $month, $day);
    my $wday_j_str = _wday_j_str($wday);
    $month = sprintf('%02d', $month);
    $day = sprintf('%02d', $day);

    if ($year == _now_year($zone)) {
      $result = "$month月$day日($wday_j_str)";
    }
    else {
      $result = "$year年$month月$day日($wday_j_str)";
    }
  };
  if ($@) {
    #warn $@;
    return "$year-$month-$day";
  }
  return $result;
}

# end of WiKicker::Time::japanese_date_only_str
1;
