# NOTE: Derived from blib/lib/WiKicker/WikiCGI/Page/NormalPage.pm.
# Changes made here will be lost when autosplit is run again.
# See AutoSplit.pm.
package WiKicker::WikiCGI::Page::NormalPage;

#line 431 "blib/lib/WiKicker/WikiCGI/Page/NormalPage.pm (autosplit into blib/lib/auto/WiKicker/WikiCGI/Page/NormalPage/do_comment.al)"
sub do_comment {
  my $self = shift;

  my $comment_name = $self->request->param('comment.name') || '';
  my $comment_number = $self->request->param('comment.number');
  my $comment_message = $self->request->param('comment.message');
  my $charset = lc($self->request->param('form.charset') || 'UTF-8');

  $comment_name = WiKicker::User::normalize_name($comment_name);
  $comment_message=~ s/\s+$//;

  unless ($comment_message) {
    #$self->request->attribute('action_label', 'read');
    #return $self->_do_read;
    $self->_set_read_redirect_attribute;
    return 'redirect';
  }

  # @TODO test!!!!!
  if ($self->request->user->id eq 'QJmb9j1z7UYAADQlSFs') {
    $self->_set_read_redirect_attribute;
    return 'redirect';
  }


  if ($charset eq 'euc' || $charset eq 'euc-jp') {
      $comment_message = WiKicker::UTF8::decode('euc', $comment_message);
      $comment_message = WiKicker::UTF8::decode('euc', $comment_name);
  }

  $self->db->exclusive_lock_pages;

  # check last post
  my $last_comment = $self->db->information($self->name, 'lastcomment');
  $last_comment = '' unless defined $last_comment;
  if ($last_comment eq $comment_message) {
    $self->_set_read_redirect_attribute;
    return 'redirect';
  }

  my $wiki_page = $self->db->page($self->name);


  if ($comment_name) {
    $self->request->user->name($comment_name);
  }
  elsif ($self->request->user->name) {
    $comment_name = $self->request->user->name;
  }

  my $document_node = $self->_parse_document($wiki_page);

  $self->_insert_comment($document_node, $comment_name,
                         $comment_number, $comment_message);

  my $new_page_content = $document_node->to_string;
  if ($wiki_page ne $new_page_content) {
    $self->_write_page($self->name, $new_page_content);
    $self->db->information($self->name, 'lastcomment', $comment_message);

    $self->mail($self->name,
                'comment',
                $comment_message . "\n----\n" . $new_page_content);

  }
  #return 'success';
  $self->_set_read_redirect_attribute;
  return 'redirect';
}

# end of WiKicker::WikiCGI::Page::NormalPage::do_comment
1;
