# NOTE: Derived from blib/lib/WiKicker/WikiCGI/Page/NormalPage.pm.
# Changes made here will be lost when autosplit is run again.
# See AutoSplit.pm.
package WiKicker::WikiCGI::Page::NormalPage;

#line 263 "blib/lib/WiKicker/WikiCGI/Page/NormalPage.pm (autosplit into blib/lib/auto/WiKicker/WikiCGI/Page/NormalPage/do_write.al)"
sub do_write {
  my $self = shift;

  if ($self->is_cancel_request) {
    $self->request->attribute('action_label', 'read');
    return $self->_do_read;
  }

  # @TODO test!!!!!
  #if ($self->request->user->id eq 'aaaaaaaaaaaaaaaaaaa') {
  #  $self->_set_read_redirect_attribute;
  #  return 'redirect';
  #}

  if ($self->_get_properties('param.NormalPage.ignore.file')) {
    WiKicker::Loader::load_module('WiKicker::WikiCGI::IgnorePatternFile');
    my $ignore_patterns = WiKicker::WikiCGI::IgnorePatternFile->new(file => $self->_get_properties('param.NormalPage.ignore.file'));
    if ($ignore_patterns->match($self->request->param('content'))) {
      $self->_set_read_redirect_attribute;
      return 'redirect';
    }
  }

  my $db = $self->db;

  if ($self->is_commit_request) {
    $db->exclusive_lock_pages;
    unless ($self->_is_valid_last_modified) {
      $self->request->attribute('content', $self->request->param('content'));
      return 'conflict'
    }

    $self->_update_user_name_by_edit_form;

    my $section = $self->request->query->param('section');
    if (defined $section && length($section) > 0) {
      $self->request->attribute('section', $section);
    }

    return $self->_do_write_commit;
  }
  else {
    $db->shared_lock_pages;
    unless ($self->_is_valid_last_modified) {
      $self->request->attribute('content', $self->request->param('content'));
      return 'conflict'
    }

    $self->_update_user_name_by_edit_form;

    my $section = $self->request->query->param('section');
    if (defined $section && length($section) > 0) {
      $self->request->attribute('section', $section);
    }

    $self->request->attribute('content', $self->request->param('content'));
    $self->request->attribute('action_label', 'Preview');
    $self->db->shared_lock_pages;
    return 'preview';
  }
}

# end of WiKicker::WikiCGI::Page::NormalPage::do_write
1;
