# NOTE: Derived from blib/lib/WiKicker/WikiCGI/Page.pm.
# Changes made here will be lost when autosplit is run again.
# See AutoSplit.pm.
package WiKicker::WikiCGI::Page;

#line 162 "blib/lib/WiKicker/WikiCGI/Page.pm (autosplit into blib/lib/auto/WiKicker/WikiCGI/Page/_search.al)"
sub _search {
  my ($self, $name) = @_;

  my $case_sensitive = 0;
  if ($name =~ /[A-Z]/) {
    $case_sensitive = 1;
  }

  my $db = $self->db;

  my @result;
  if ($case_sensitive) {
    for my $target_page (@{$db->page_name_list->list}) {
      if (index($target_page, $name) >= 0) {
        push(@result, $target_page);
        next;
      }

      my $target_page_content = $db->page($target_page);
      if (index($target_page_content, $name) >= 0) {
        push(@result, $target_page);
      }
    }
  }
  else {
    my $pattern = qr/\Q$name\E/i;
    for my $target_page (@{$db->page_name_list->list}) {
      if ($target_page =~ /$pattern/) {
        push(@result, $target_page);
        next;
      }

      my $target_page_content = $db->page($target_page);
      if ($target_page_content =~ /$pattern/) {
        push(@result, $target_page);
      }
    }
  }
  return @result;
}

1;
# end of WiKicker::WikiCGI::Page::_search
