# NOTE: Derived from blib/lib/WiKicker/WikiPage/DocumentParser.pm.
# Changes made here will be lost when autosplit is run again.
# See AutoSplit.pm.
package WiKicker::WikiPage::DocumentParser;

#line 428 "blib/lib/WiKicker/WikiPage/DocumentParser.pm (autosplit into blib/lib/auto/WiKicker/WikiPage/DocumentParser/set_quote_to_stack_top.al)"
sub set_quote_to_stack_top {
  my ($self, $level) = @_;

  while (1) {
    if (ref $self->current_node eq 'WiKicker::WikiPage::DocumentNode') {
      for (my $i = 1; $i <= $level; $i++) {
        my $quote_node = WiKicker::WikiPage::QuoteNode->new;
        $quote_node->level($i);
        $self->push_node($quote_node);
      }
      return;
    }
    if (ref $self->current_node eq 'WiKicker::WikiPage::QuoteNode') {
      my $current_level = $self->current_node->level;
      if ($current_level == $level) {
        return;
      }
      elsif ($current_level > $level) {
        $self->pop_node;
        next;
      }
      else {
        my $quote_node = WiKicker::WikiPage::QuoteNode->new;
        $quote_node->level($current_level + 1);
        $self->push_node($quote_node);
        next;
      }
    }
    $self->clear_node_stack;
  }
}

# end of WiKicker::WikiPage::DocumentParser::set_quote_to_stack_top
1;
