# NOTE: Derived from blib/lib/WiKicker/WikiPage/HtmlFragmentVisitor.pm.
# Changes made here will be lost when autosplit is run again.
# See AutoSplit.pm.
package WiKicker::WikiPage::HtmlFragmentVisitor;

#line 648 "blib/lib/WiKicker/WikiPage/HtmlFragmentVisitor.pm (autosplit into blib/lib/auto/WiKicker/WikiPage/HtmlFragmentVisitor/_initialize_word_extractor_imp.al)"
sub _initialize_word_extractor_imp {
  my $self = shift;

  my $extraset = $self->env->extraset;
  if (defined  $extraset && scalar(@$extraset) >= 1) {
    eval "use WiKicker::Text::MultiSetWordExtractor";
    if ($@) {
      croak "Can't load WiKicker::Text::MultiSetWordExtractor: $@";
    }
    $self->word_extractor(WiKicker::Text::MultiSetWordExtractor->new);
    my $words_list_list = [];
    if ($self->env->page_name_list) {
      push(@$words_list_list, $self->env->page_name_list->list);
    } else {
      push(@$words_list_list, []);
    }
    push(@$words_list_list, map {$_->{words}} @$extraset);
    $self->word_extractor->set_words_list_list($words_list_list);

    my @schemes = map {$_->{scheme}} @$extraset;
    $self->{extraset_scheme} = \@schemes;
    $self->{automatic_link_type} = 'multi';
  } else {
    eval "use WiKicker::Text::WordExtractor";
    if ($@) {
      croak "Can't load WiKicker::Text::WordExtractor: $@";
    }
    $self->word_extractor(WiKicker::Text::WordExtractor->new);
    if ($self->env->page_name_list) {
      $self->word_extractor->set_words($self->env->page_name_list->list);
    }
    $self->{automatic_link_type} = 'single';
  }
}

# end of WiKicker::WikiPage::HtmlFragmentVisitor::_initialize_word_extractor_imp
1;
