# NOTE: Derived from blib/lib/WiKicker/WikiPage/HtmlFragmentVisitor.pm.
# Changes made here will be lost when autosplit is run again.
# See AutoSplit.pm.
package WiKicker::WikiPage::HtmlFragmentVisitor;

#line 692 "blib/lib/WiKicker/WikiPage/HtmlFragmentVisitor.pm (autosplit into blib/lib/auto/WiKicker/WikiPage/HtmlFragmentVisitor/visit_InlineBlockNode.al)"
sub visit_InlineBlockNode {
  my ($self, $inline_block_node) = @_;

  my $scheme = $inline_block_node->scheme;
  if ($scheme ne '') {
    if ($scheme eq 'fn') {
      $self->add_footnote($inline_block_node);
    }
    else {
      $self->{content} .= '{{' . $scheme . ':';
      for my $node ($inline_block_node->nodes) {
        $node->accept($self);
      }
      $self->{content} .= '}}';
    }
  }
  else {
    $self->{content} .= '{{';
    for my $node ($inline_block_node->nodes) {
      $node->accept($self);
    }
    $self->{content} .= '}}';
  }
}

# end of WiKicker::WikiPage::HtmlFragmentVisitor::visit_InlineBlockNode
1;
