# NOTE: Derived from blib/lib/WiKicker/WikiPage/HtmlFragmentVisitor.pm.
# Changes made here will be lost when autosplit is run again.
# See AutoSplit.pm.
package WiKicker::WikiPage::HtmlFragmentVisitor;

#line 736 "blib/lib/WiKicker/WikiPage/HtmlFragmentVisitor.pm (autosplit into blib/lib/auto/WiKicker/WikiPage/HtmlFragmentVisitor/visit_TableCellNode.al)"
sub visit_TableCellNode {
  my ($self, $cell_node) = @_;

  my $align = $cell_node->align;
  my $align_attribute = '';
  if ($align eq 'center') {
    $align_attribute = qq( align="center");
  }
  elsif ($align eq 'right') {
    $align_attribute = qq( align="right");
  }

  $self->{content} .= qq(<td$align_attribute>);
  $self->in_inline(0);
  for my $node ($cell_node->nodes) {
    $node->accept($self);
  }
  $self->{content} .= qq(</td>);
}

1;
# end of WiKicker::WikiPage::HtmlFragmentVisitor::visit_TableCellNode
