#
# WiKicker
#
#  UWRN.pm
#
#
# Copyright (C) 2003 WATANABE Yoshimasa <naney@naney.org>
#
# This file is part of the WiKicker.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 2 of the License, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc., 59
# Temple Place, Suite 330, Boston, MA 02111-1307 USA
#
#
# $Id: UWRN.pm,v 1.3 2003/06/28 03:22:48 naney Exp $
#
#

package WiKicker::WRI::UWRN;

use strict;
use WiKicker::WRI::QWRN;

use vars qw(@ISA);
@ISA = qw(WiKicker::WRI::QWRN);

sub get_link_url {
  my ($self, $env) = @_;

  if ($env) {
    return $env->resolver->get_uwrn_link_url($self);
  }
  else {
    return WiKicker::WRI::Resolver->new->get_uwrn_link_url($self);
  }
}

sub to_html {
  my ($self, $content, $env) = @_;

  return $self->_make_url_link_html($content, $env);
}

1;
