# NOTE: Derived from blib/lib/WiKicker/DB/File.pm.
# Changes made here will be lost when autosplit is run again.
# See AutoSplit.pm.
package WiKicker::DB::File;

#line 462 "blib/lib/WiKicker/DB/File.pm (autosplit into blib/lib/auto/WiKicker/DB/File/_update_recent_changes.al)"
sub _update_recent_changes {
  my ($self, $key, $time, $author, $subject) = @_;

  my $recent_changes = $self->information('RecentChanges', 'changes');

  my @new_data;
  my $i = 0;
  for my $record (@{$recent_changes}) {
    $i++;
    if ($record->[0] ne $key) {
      push(@new_data, $record);
    }
    last if $i >= 50;
  }
  unshift(@new_data, [$key, $time, $author, $subject]);

  $self->information('RecentChanges', 'changes', \@new_data);
}

# end of WiKicker::DB::File::_update_recent_changes
1;
