# NOTE: Derived from blib/lib/WiKicker/Time.pm.
# Changes made here will be lost when autosplit is run again.
# See AutoSplit.pm.
package WiKicker::Time;

#line 472 "blib/lib/WiKicker/Time.pm (autosplit into blib/lib/auto/WiKicker/Time/previous_day_str.al)"
sub previous_day_str {
  my $date_str = shift;

  $date_str =~ /^(\d\d\d\d)-(\d\d)-(\d\d)$/;
  my ($y, $m, $d) = ($1, $2, $3);

  if ($d > 1) {
    $d--;
    return sprintf("%4d-%02d-%02d", $y, $m, $d);
  }
  else {
    $m--;
    if ($m == 0) {
      $y--;
      $m = 12;
    }
    $d = $month_days[$m - 1];
    $d++ unless ($m != 2 || $y % 4 || !($y % 400));
  }
  return sprintf("%4d-%02d-%02d", $y, $m, $d);
}

1;
# end of WiKicker::Time::previous_day_str
