# NOTE: Derived from blib/lib/WiKicker/WikiCGI/Page/NormalPage.pm.
# Changes made here will be lost when autosplit is run again.
# See AutoSplit.pm.
package WiKicker::WikiCGI::Page::NormalPage;

#line 383 "blib/lib/WiKicker/WikiCGI/Page/NormalPage.pm (autosplit into blib/lib/auto/WiKicker/WikiCGI/Page/NormalPage/_do_write_commit.al)"
sub _do_write_commit {
  my $self = shift;

  my $name    = $self->name;
  die 'No WikiName' unless $name;
  my $db      = $self->db;
  my $content = $self->request->param('content');

  my $section = $self->request->query->param('section');
  if (defined $section && length($section) > 0) {
    WiKicker::Loader::load_module('WiKicker::WikiPage::ReplaceSectionVisitor');

    my $visitor = WiKicker::WikiPage::ReplaceSectionVisitor->new;
    my $document_node = $self->_parse_document($db->page($name));

    $visitor->section_number($section);
    $visitor->new_section($content);
    $visitor->visit($document_node);

    $content = $visitor->new_raw;
  }

  $content =~ s/(\r\n?)/\n/g;

  if ($content eq '') {
    if ($db->exists_live_page($name)) {
      return 'confirmdelete';
    }
    else {
      return 'success';
    }
  }

  # no change?
  my $old_wiki_page = $self->db->page($name);
  if ($old_wiki_page eq $content) {
    $self->_set_read_redirect_attribute;
    return 'redirect';
  }


  $self->_write_page($name, $content);

  $self->mail($name, 'write', $content);

  return 'success';
}

# end of WiKicker::WikiCGI::Page::NormalPage::_do_write_commit
1;
