# NOTE: Derived from blib/lib/WiKicker/WikiCGI/Page/NormalPage.pm.
# Changes made here will be lost when autosplit is run again.
# See AutoSplit.pm.
package WiKicker::WikiCGI::Page::NormalPage;

#line 643 "blib/lib/WiKicker/WikiCGI/Page/NormalPage.pm (autosplit into blib/lib/auto/WiKicker/WikiCGI/Page/NormalPage/_update_interwiki_definition.al)"
sub _update_interwiki_definition {
  my ($self, $page_name, $document_node) = @_;

  if ($page_name ne 'InterWikiDefinition') {
    return;
  }

  WiKicker::Loader::load_module('WiKicker::WikiPage::GetInterWikiDefinitionVisitor');
  my $visitor = WiKicker::WikiPage::GetInterWikiDefinitionVisitor->new;
  $visitor->visit($document_node);

  my $db = $self->db;

  $db->clear_cache('interwiki');
  my @definitions = $visitor->inter_wiki_definitions;
  for my $definition (@definitions) {
    $db->cache('interwiki', $definition->nid, $definition->nss);
  }
}

# end of WiKicker::WikiCGI::Page::NormalPage::_update_interwiki_definition
1;
