# NOTE: Derived from blib/lib/WiKicker/WikiCGI/Page/NormalPage.pm.
# Changes made here will be lost when autosplit is run again.
# See AutoSplit.pm.
package WiKicker::WikiCGI::Page::NormalPage;

#line 221 "blib/lib/WiKicker/WikiCGI/Page/NormalPage.pm (autosplit into blib/lib/auto/WiKicker/WikiCGI/Page/NormalPage/do_edit.al)"
sub do_edit {
  my $self = shift;

  # from search engine?
  return 'redirect' if ($self->_check_redirect);

  my $db = $self->db;
  my $name = $self->name;
  $db->shared_lock_pages;
  my $wiki_page;
  my $section = $self->request->query->param('section');

  if (defined $section && length($section) > 0) {
    if ($db->exists_live_page($name)) {
      WiKicker::Loader::load_module("WiKicker::WikiPage::GetSectionRawVisitor");
      my $visitor = WiKicker::WikiPage::GetSectionRawVisitor->new;
      my $document_node = $self->_parse_document($db->page($name));

      $visitor->section_number($section);
      $visitor->visit($document_node);

      $wiki_page = $visitor->section;
    }
    else {
      $wiki_page = '';
    }
    $self->request->attribute('section', $section);
  }
  else {
    if ($db->exists_live_page($name)) {
      $wiki_page = $db->page($name);
    }
    else {
      $wiki_page = '';
    }
  }

  $self->request->attribute('content', $wiki_page);
  return 'edit';

}

# end of WiKicker::WikiCGI::Page::NormalPage::do_edit
1;
