# NOTE: Derived from blib/lib/WiKicker/WikiCGI/View/HTML.pm.
# Changes made here will be lost when autosplit is run again.
# See AutoSplit.pm.
package WiKicker::WikiCGI::View::HTML;

#line 815 "blib/lib/WiKicker/WikiCGI/View/HTML.pm (autosplit into blib/lib/auto/WiKicker/WikiCGI/View/HTML/_create_html_env.al)"
sub _create_html_env {
  my ($self, $no_automatic_link) = @_;

  my $extraset = [];
  unless ($no_automatic_link) {
    $extraset = $self->request->configuration->automaticlink_extraset_list;
  }

  my $env = WiKicker::WikiPage::HtmlEnv
    ->new(user => $self->request->user,
          resolver => $self->request->environment->resolver,
          wikicker_url => $self->request->url,
          wri_factory => $self->request->environment->create_wri_factory,
          configuration => $self->request->configuration,
          environment => $self->request->environment,
          query => $self->request->query,
          page_name => $self->request->name,
          localizer => $self->request,
          extraset => $extraset,
          page_name_list => $self->db->page_name_list,
         );
  $env->link_maker($self->link_maker);

  return $env;
}

1;
# end of WiKicker::WikiCGI::View::HTML::_create_html_env
