# NOTE: Derived from blib/lib/WiKicker/WikiPage/DocumentParser.pm.
# Changes made here will be lost when autosplit is run again.
# See AutoSplit.pm.
package WiKicker::WikiPage::DocumentParser;

#line 460 "blib/lib/WiKicker/WikiPage/DocumentParser.pm (autosplit into blib/lib/auto/WiKicker/WikiPage/DocumentParser/set_dl_to_stack_top.al)"
sub set_dl_to_stack_top {
  my ($self, $level) = @_;

  while (1) {
    if (ref $self->current_node eq 'WiKicker::WikiPage::DocumentNode') {
      my $dl_node = WiKicker::WikiPage::DlNode->new;
      $dl_node->level(1);
      $self->push_node($dl_node);
      next;
    }
    elsif (ref $self->current_node eq 'WiKicker::WikiPage::DlNode') {
      my $current_level = $self->current_node->level;
      if ($current_level == $level) {
        return;
      }
      elsif ($current_level > $level) {
        $self->pop_node;
        next;
      }
      else {
        my @nodes = $self->current_node->nodes;
        if (@nodes > 0 && ref $nodes[-1] eq 'WiKicker::WikiPage::DdNode') {
          my $dl_node = WiKicker::WikiPage::DlNode->new;
          $dl_node->level($current_level + 1);
          $nodes[-1]->add($dl_node);
          push(@{$self->{current_path}}, $dl_node);
          next;
        }
        else {
          my $dd_node = WiKicker::WikiPage::DdNode->new;
          $dd_node->level($current_level);
          $dd_node->dummy(1);
          $self->current_node->add($dd_node);

          my $dl_node = WiKicker::WikiPage::DlNode->new;
          $dl_node->level($current_level + 1);

          $dd_node->add($dl_node);
          push(@{$self->{current_path}}, $dl_node);
          next;
        }
      }
    }
    $self->clear_node_stack;
  }
}

# end of WiKicker::WikiPage::DocumentParser::set_dl_to_stack_top
1;
