# NOTE: Derived from blib/lib/WiKicker/WikiPage/HtmlFragmentVisitor.pm.
# Changes made here will be lost when autosplit is run again.
# See AutoSplit.pm.
package WiKicker::WikiPage::HtmlFragmentVisitor;

#line 616 "blib/lib/WiKicker/WikiPage/HtmlFragmentVisitor.pm (autosplit into blib/lib/auto/WiKicker/WikiPage/HtmlFragmentVisitor/_visit_TextNode_for_automatic_link_multi.al)"
sub _visit_TextNode_for_automatic_link_multi {
  my ($self, $text) = @_;

  my $splited = $self->word_extractor->split_into_words($text->to_string);
  for my $item (@$splited) {
    if ($item->[0] == 0) {
      $self->{content} .= WiKicker::HTML::escape($item->[1]);
    }
    else {
      my $page_name = $item->[1];
      $page_name = $item->[2] if defined $item->[2];
      $self->_automatic_linked($page_name);
      my $link_text = WiKicker::HTML::escape($item->[1]);
      if ($item->[0] == 1) {
        my $href = $self->env->link_maker->make_page_read_href($page_name);
        $self->{content} .= qq(<a class="auto" href="$href">$link_text</a>);
      }
      else {
        my $href = $self->env->resolver
          ->get_interwiki_link_url($self->{extraset_scheme}->[$item->[0] - 2],
                                   $page_name);
        if ($href ne '') {
          $self->{content} .= qq(<a class="auto" href="$href">$link_text</a>);
        }
        else {
          $self->{content} .= $link_text;
        }
      }
    }
  }
}

# end of WiKicker::WikiPage::HtmlFragmentVisitor::_visit_TextNode_for_automatic_link_multi
1;
